/*
SQLyog Ultimate v9.50 
MySQL - 5.6.20 : Database - prosoftjan17
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftjan17` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `prosoftjan17`;

/*Table structure for table `kampanja` */

DROP TABLE IF EXISTS `kampanja`;

CREATE TABLE `kampanja` (
  `KampanjaID` int(11) NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) DEFAULT NULL,
  `DatumOd` datetime DEFAULT NULL,
  `DatumDo` datetime DEFAULT NULL,
  `ProjektovaniBudzet` double DEFAULT NULL,
  `UkupanIznos` double DEFAULT NULL,
  `KlijentID` int(11) DEFAULT NULL,
  PRIMARY KEY (`KampanjaID`),
  KEY `KlijentID` (`KlijentID`),
  CONSTRAINT `kampanja_ibfk_1` FOREIGN KEY (`KlijentID`) REFERENCES `klijent` (`KlijentID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

/*Data for the table `kampanja` */

insert  into `kampanja`(`KampanjaID`,`Naziv`,`DatumOd`,`DatumDo`,`ProjektovaniBudzet`,`UkupanIznos`,`KlijentID`) values (1,'Nova godina - Klijent 1','2016-12-26 00:00:00','2017-01-13 00:00:00',190,200,1);

/*Table structure for table `klijent` */

DROP TABLE IF EXISTS `klijent`;

CREATE TABLE `klijent` (
  `KlijentID` int(11) NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) DEFAULT NULL,
  `PIB` int(11) DEFAULT NULL,
  `Adresa` varchar(255) DEFAULT NULL,
  `Kontakt` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`KlijentID`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Data for the table `klijent` */

insert  into `klijent`(`KlijentID`,`Naziv`,`PIB`,`Adresa`,`Kontakt`) values (1,'Klijent 1',111111111,'Adresa 1','kontakt@klijent1.com'),(2,'Klijent 2',222222222,'Adresa 2','office@klijent2.rs'),(3,'Klijent 3',333333333,'Adresa 3','info@klijent3.rs');

/*Table structure for table `stavkakampanje` */

DROP TABLE IF EXISTS `stavkakampanje`;

CREATE TABLE `stavkakampanje` (
  `KampanjaID` int(11) NOT NULL,
  `RB` int(11) NOT NULL,
  `VrstaPromocijeID` int(11) DEFAULT NULL,
  `DatumOd` datetime DEFAULT NULL,
  `DatumDo` datetime DEFAULT NULL,
  `Iznos` double DEFAULT NULL,
  PRIMARY KEY (`KampanjaID`,`RB`),
  KEY `VrstaPromocijeID` (`VrstaPromocijeID`),
  CONSTRAINT `stavkakampanje_ibfk_1` FOREIGN KEY (`KampanjaID`) REFERENCES `kampanja` (`KampanjaID`),
  CONSTRAINT `stavkakampanje_ibfk_2` FOREIGN KEY (`VrstaPromocijeID`) REFERENCES `vrstapromocije` (`VrstaPromocijeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `stavkakampanje` */

insert  into `stavkakampanje`(`KampanjaID`,`RB`,`VrstaPromocijeID`,`DatumOd`,`DatumDo`,`Iznos`) values (1,1,1,'2017-01-02 00:00:00','2017-01-09 00:00:00',100),(1,2,2,'2016-12-31 00:00:00','2017-01-02 00:00:00',100);

/*Table structure for table `vrstapromocije` */

DROP TABLE IF EXISTS `vrstapromocije`;

CREATE TABLE `vrstapromocije` (
  `VrstaPromocijeID` int(11) NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) DEFAULT NULL,
  `Valuta` varchar(10) DEFAULT NULL,
  `CenaPoDanu` double DEFAULT NULL,
  `DnevniBrojPregleda` int(11) DEFAULT NULL,
  PRIMARY KEY (`VrstaPromocijeID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

/*Data for the table `vrstapromocije` */

insert  into `vrstapromocije`(`VrstaPromocijeID`,`Naziv`,`Valuta`,`CenaPoDanu`,`DnevniBrojPregleda`) values (1,'Facebook promocija','USD',3,3000),(2,'Instagram promocija','USD',2,2000),(3,'Twitter promocija','EUR',1.5,1500),(4,'Pinterest promocija','DIN',350,3500);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
